

Patch from Robert Love <rml@tech9.net>

Attached patch is a minor cleanup (and memory reduction for gcc < 3).  We
currently define and declare the BKL's kernel_flag spinlock on either SMP or
PREEMPT, which means a UP+PREEMPT machine gets it.

We only need the actual lock on SMP.




 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~remove-kernel_flag kernel/sched.c
--- 25/kernel/sched.c~remove-kernel_flag	Fri Mar  7 14:35:25 2003
+++ 25-akpm/kernel/sched.c	Fri Mar  7 14:35:25 2003
@@ -2432,7 +2432,7 @@ __init int migration_init(void)
 
 #endif
 
-#if CONFIG_SMP || CONFIG_PREEMPT
+#if CONFIG_SMP
 /*
  * The 'big kernel lock'
  *

_
